> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accrual Balance

> Retrieve an employee's or company's accrual policy balance, optionally filtered by policy code, employee, or policy status.



## OpenAPI

````yaml openapi/zeal-api.json get /accrualBalance
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualBalance:
    get:
      summary: Get Accrual Balance
      operationId: get-accrual-balance
      parameters:
        - name: companyID
          in: query
          description: ID of the company
          required: true
          schema:
            type: string
        - name: policy_code
          in: query
          description: Filter by the unique code assigned to a policy
          schema:
            type: string
        - name: employeeID
          in: query
          description: Filter by the employee assigned to a policy
          schema:
            type: string
        - name: policy_status
          in: query
          description: Filter by status of the policy (accepts live or terminated)
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 2hw67sd8900fd7hw78fdfhaej
                      accrualPolicies:
                        - policy_code: '001'
                          employeeID: ccee4542323errr34345223
                          policy_type: pto
                          policy_name: executive_pto
                          accrual_balance: 20
                          accrual_rate_unit: hours
                          policy_status: live
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 2hw67sd8900fd7hw78fdfhaej
                      accrualPolicies:
                        type: array
                        items:
                          type: object
                          properties:
                            policy_code:
                              type: string
                              example: '001'
                            employeeID:
                              type: string
                              example: ccee4542323errr34345223
                            policy_type:
                              type: string
                              example: pto
                            policy_name:
                              type: string
                              example: executive_pto
                            accrual_balance:
                              type: integer
                              example: 20
                              default: 0
                            accrual_rate_unit:
                              type: string
                              example: hours
                            policy_status:
                              type: string
                              example: live
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error: true
                    message: Accrual policy with this policy code not found
                    timestamp: '2023-03-27T17:24:35Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Accrual policy with this policy code not found
                  timestamp:
                    type: string
                    example: '2023-03-27T17:24:35Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````